tools

# Class: LdapExportInfo

Source Location: /lib/export.inc

### Class Overview

This class encapsulate informations about the ldap server from which the export is done.

### Variables

- $base_dn
- $query_filter
- $scope

### Methods

- LdapExportInfo

### Class Details

[line 84]
This class encapsulate informations about the ldap server from which the export is done.

The following info are provided within this class:

$base_dn: if the source of the export is the ldap server, it indicates the base dn of the search. $query_filter: if the source of the export is the ldap server, it indicates the query filter for the search. $scope: if the source of the export is the ldap server, it indicates the scope of the search.

[ Top ]

### Class Variables

#### $base_dn =

[line 86]

Type: | mixed

[ Top ]

#### $query_filter =

[line 87]

Type: | mixed

[ Top ]

#### $scope =

[line 88]

Type: | mixed

[ Top ]

### Class Methods

### constructor LdapExportInfo [line 98]

`LdapExportInfo LdapExportInfo( [String $base_dn = NULL], [String $query_filter = NULL], [String $scope = NULL])`

Create a new LdapExportInfo object

#### Parameters:

String | $base_dn | the base_dn for the search in a ldap server
String | $query_filter | the query filter for the search
String | $scope | the scope of the search in a ldap server

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:52:57 +0200 by phpDocumentor 1.4.1